USN-1463-2: Unity 2D update

Ubuntu Security Notice USN-1463-2

15th June, 2012

unity-2d update

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 12.04 LTS
  • Ubuntu 11.10
  • Ubuntu 11.04

Summary

Popup menus were not working in Firefox under Unity 2D.

Software description

  • unity-2d - Unity interface for non-accelerated graphics cards

Details

USN-1463-1 fixed vulnerabilities in Firefox. The Firefox update exposed a
bug in Unity 2D which resulted in Firefox being unable to obtain pointer
grabs in order to open popup menus. This update fixes the problem.

Update instructions

The problem can be corrected by updating your system to the following package version:

Ubuntu 12.04 LTS:
unity-2d-panel 5.12.0-0ubuntu1.1
Ubuntu 11.10:
unity-2d-panel 4.12.0-0ubuntu1.2
Ubuntu 11.04:
unity-2d-panel 3.8.4.1-0ubuntu1.1

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

After a standard system update you need to restart your Unity 2D session to
make all the necessary changes.

References

LP: 1010466